Package org.springframework.security.config.annotation.web.configurers.oauth2.server.resource

# Class OAuth2ResourceServerConfigurer.JwtConfigurer

java.lang.Object
org.springframework.security.config.annotation.web.configurers.oauth2.server.resource.OAuth2ResourceServerConfigurer.JwtConfigurer

Enclosing class:
  OAuth2ResourceServerConfigurer<H extends HttpSecurityBuilder<H>>

public class OAuth2ResourceServerConfigurer.JwtConfigurer extends Object

## Method Summary

Modifier and Type
Method
Description
`OAuth2ResourceServerConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`OAuth2ResourceServerConfigurer<H>.JwtConfigurer`
`authenticationManager(org.springframework.security.authentication.AuthenticationManager authenticationManager)`
`OAuth2ResourceServerConfigurer<H>.JwtConfigurer`
`decoder(org.springframework.security.oauth2.jwt.JwtDecoder decoder)`
`OAuth2ResourceServerConfigurer<H>.JwtConfigurer`
`jwkSetUri(String uri)`
`OAuth2ResourceServerConfigurer<H>.JwtConfigurer`
`jwtAuthenticationConverter(org.springframework.core.convert.converter.Converter<org.springframework.security.oauth2.jwt.Jwt,? extends org.springframework.security.authentication.AbstractAuthenticationToken> jwtAuthenticationConverter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticationManager

public OAuth2ResourceServerConfigurer<H>.JwtConfigurer authenticationManager(org.springframework.security.authentication.AuthenticationManager authenticationManager)

### decoder

public OAuth2ResourceServerConfigurer<H>.JwtConfigurer decoder(org.springframework.security.oauth2.jwt.JwtDecoder decoder)

### jwkSetUri

public OAuth2ResourceServerConfigurer<H>.JwtConfigurer jwkSetUri(String uri)

### jwtAuthenticationConverter

public OAuth2ResourceServerConfigurer<H>.JwtConfigurer jwtAuthenticationConverter(org.springframework.core.convert.converter.Converter<org.springframework.security.oauth2.jwt.Jwt,? extends org.springframework.security.authentication.AbstractAuthenticationToken> jwtAuthenticationConverter)

### and

@Deprecated(since="6.1", forRemoval=true) public OAuth2ResourceServerConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `OAuth2ResourceServerConfigurer.jwt(Customizer)` or `jwt(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.